
include:
    project: 'nsf-noirlab/gemini/rtsw/gem-ci'
    ref: "unstable/2023q2"
    file: 
     - '/templates/gitlab-ci/templates/global-rpm-container-docker.gitlab-ci.template.yml'
     - '/templates/gitlab-ci/templates/epics-base-rpm-container-docker.gitlab-ci.template.yml'
      

variables:
    # BASE_CONTAINER is only used for gemini-ade, rtems and all ioc projects,
    # as well as for projects with a branch name which is not yet existing for one 
    # of the three: in this case, the system assumes that an extra repository,
    # either for tests or for special versions of (support) modules that might
    # be needed for an IOC. 
    # For all other projects (where essentially only an RPM is build and deployed
    # to one of the repos defined by the three/four types of projects above) this
    # setting is derived from the branch name
    BASE_CONTAINER: "registry.gitlab.com/nsf-noirlab/gemini/rtsw/epics-base/rtems/unstable/2023q2:latest"
